# Django settings for app project.
ROA_MODELS = True   # set to False if you'd like to develop/test locally
ROA_FORMAT = 'django'
ROA_HEADERS = {
    'Content-Type': 'application/x-www-form-urlencoded',
}
ROA_DJANGO_ERRORS = True # useful to ease debugging if you use test server


SERIALIZATION_MODULES = {
    'django' : 'auf_roa_authentification_backend.serializers',
}

# URLs
ROA_URL_OVERRIDES_LIST = {
    'auf_references_modeles.pays': 'http://localhost:8001/roa/pays/',
    'auf_references_modeles.region': 'http://localhost:8001/roa/region/',
}


## Pour la nouvelle app d'auth
#AUTHENTICATION_BACKENDS = (
#    'auf_references_client.backends.CascadeBackend',
#)
#AUTH_PASSWORD_REQUIRED=True

## ?
#ROA_CUSTOM_ARGS = {'api-key': ROA_API_KEY}
